package com.iqser.red.service.persistence.management.v1.processor.service;

import java.util.ArrayList;
import java.util.List;

import org.springframework.stereotype.Service;

import com.iqser.red.service.persistence.service.v1.api.shared.model.dossiertemplate.DateFormatPatternErrorMessage;
import com.iqser.red.service.persistence.service.v1.api.shared.model.utils.DateTimeFormatterProvider;

@Service
public class DateFormatsValidationService {

    public List<DateFormatPatternErrorMessage> validateDateFormats(String dateFormats) {

        List<DateFormatPatternErrorMessage> errors = new ArrayList<>();
        DateTimeFormatterProvider.createFormatterFromInput(dateFormats, errors);
        return errors;
    }

}
